Bug 1251164 - lttng-ust FTBFS in Rawhide due to missing BR: python
lttng-ust FTBFS in Rawhide due to missing BR: python
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: lttng-ust (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Suchakra
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-06 11:34 EDT by Ken Dreyer (Red Hat)
Modified: 2017-08-08 08:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:07:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ken Dreyer (Red Hat) 2015-08-06 11:34:45 EDT
Description of problem:
lttng-ust's build process runs "/usr/bin/env python". With the recent Python changes in Rawhide, we have to explicitly "BuildRequire: python".

Version-Release number of selected component (if applicable):
2.6.2-1 (67fef9c6227d3055e879b92e594db6a09767b275 in Fedora's dist-git)

Steps to Reproduce:
1. fedpkg clone -a lttng-ust
2. cd lttng-ust
3. git checkout master
4. fedpkg mockbuild

Actual results:
Build fails due to "/usr/bin/env python" failing.

Expected results:
Build succeeds

Additional info:
Adding "python" to the BuildRequires list allowed my local mockbuild to succeed.
Comment 1 Suchakra 2015-08-06 11:45:41 EDT
> Adding "python" to the BuildRequires list allowed my local mockbuild to
> succeed.

Thanks for the info. Sorry about that. I will make these changes and rebuild it today evening.
Comment 2 Fedora Update System 2015-08-06 21:42:04 EDT
lttng-ust-2.6.2-2.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/lttng-ust-2.6.2-2.fc23
Comment 3 Fedora Update System 2015-08-06 21:44:01 EDT
lttng-ust-2.6.2-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/lttng-ust-2.6.2-2.fc22
Comment 4 Fedora Update System 2015-08-14 22:07:38 EDT
lttng-ust-2.6.2-2.fc23 has been pushed to the Fedora 23 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2015-08-19 04:00:42 EDT
lttng-ust-2.6.2-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Jan Kurik 2016-02-24 08:35:14 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 7 Fedora End Of Life 2017-07-25 15:07:52 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2017-08-08 08:07:13 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.